Qcad 2.2.2 for Fedora x86_64

Post your question about installing or upgrading to QCAD 2.1/2.2. Be sure to search, and check the docs before you post!

Moderator: andrew

Qcad 2.2.2 for Fedora x86_64

Postby musicmaker » Tue Jun 02, 2009 7:39 pm

I ordered the Qcad cd, but the only Linux install on it is for 32 bit machines, and I've got a 64 bit Thinkpad, with Fedora 10 installed.

Is there a 2.2.2 Qcad for 64 bit Linux available?


Judy Hawkins
musicmaker
Newbie Member
 
Posts: 5
Joined: Mon Jun 01, 2009 9:25 pm
Location: Massachusetts

Re: Qcad 2.2.2 for Fedora x86_64

Postby andrew » Tue Jun 02, 2009 7:52 pm

musicmaker wrote:Is there a 2.2.2 Qcad for 64 bit Linux available?


No, but you should be able to run QCAD 32bit on a 64bit machine with the necessary compatibility library packages installed.
User avatar
andrew
Site Admin
 
Posts: 2537
Joined: Fri Mar 30, 2007 6:07 am

Postby musicmaker » Wed Jun 03, 2009 9:32 pm

This was the original error message:

$ ./qcad
bash: ./qcad: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

The solution, boiled down from a long iterative process of consulting the net, installing the next thing, reading the error message, and consulting the net:


yum install glibc.i686
yum install libXext.i386
yum install libSM-1.1.0-2.fc10.i386
yum install libXi-1.1.3-4.fc9.i386 libXrender-0.9.4-3.fc9.i386 libXrandr-1.2.3-1.fc10.i386
yum install freetype.i386 fontconfig-2.6.0-3.fc10.i386


One of the helpful things I learned along the way was that I can use
yum to look for individual libraries IN packages:

yum provides ld-linux.so

which gives me a selection of packages to choose from. The post I
found most useful was this:

http://www.nabble.com/what-package-will ... 41229.html

Judy Hawkins
musicmaker
Newbie Member
 
Posts: 5
Joined: Mon Jun 01, 2009 9:25 pm
Location: Massachusetts


Return to QCAD 2.1/2.2 Installation and Upgrades

Who is online

Users browsing this forum: No registered users and 1 guest